Page MenuHomePhabricator

Inconsistent mail notification subject ([Updated] vs [Merged]) depending on from which task a duplicate task was merged
Closed, ResolvedPublic

Description

Steps to reproduce and actual outcome:

  • Using "Edit Related Tasks... > Close As Duplicate", the subject line of the triggered email notification says [Updated] about the task I just closed as a dup.
  • Using "Edit Related Tasks... > Merge Duplicates In", the subject line of the triggered email notification says [Merged] about the task I just closed as a dup.

Expected outcome:
Should be consistent in both cases by saying [Merged] as the outcome in Maniphest looks exactly the same to the viewer (a task is merged into /dup'ed onto another task).

Version:
That's the behavior in Wikimedia's Phabricator instance (08a4434938767889f7249e7abc0abcb8fa1c7c7b (Oct 13, 2016) ) but I have no reasons to assume downstream patches in this area.

Event Timeline

eadler removed a subscriber: eadler.Oct 25 2016, 10:17 PM
epriestley edited projects, added Mail; removed Notifications.Apr 17 2017, 12:06 PM
epriestley moved this task from Backlog to Soon? on the Mail board.Jan 2 2019, 10:39 PM

(I'm not 100% sure that D19972 fixes this completely, but it appeared to locally. In the future, "Mail Stamps" should include this information in a more reliable format, although they do not currently include transaction information. See T13069.)